<?php
/**
* @ PHP 5.6
* @ Decoder version : 1.0.0.5
* @ Release on : 22.05.2019
* @ Website    : http://EasyToYou.eu
*
* @ Zend guard decoder PHP 5.6
*/

function manageDevices()
{
	if (!checkUserType('ADMIN') && !checkUserType('RESELLER')) {
		header('Location: ' . siteDomain . 'profile');
	}

	global $db;
	global $vars;

	if (@$deleteId = @$_REQUEST['deleteDeviceId']) {
		checkRef();
		$query = 'SELECT d.*,u.reseller_id FROM devices d LEFT JOIN users u ON ( d.user_id = u.id ) WHERE d.id = ' . sql::int($deleteId);
		$device = $db->getRow($query);

		if (!isAdmin() && (@$_SESSION['userData']['id'] != $device['reseller_id'])) {
			showError('You can\'t delete this user!', '0', '1');
		}

		$query = 'DELETE FROM devices WHERE id = ' . sql::int($deleteId);

		if (!@$db->query($query)) {
			showError('The device can\'t be deleted!', '0', '1');
		}

		addLog('INFO', 'DEVICES', 'Deleted device ID ' . @$deleteId . '');
		reloadHitrow();
		showInfo('Deleted device ID ' . $deleteId);
	}

	if (@$suspendId = @$_REQUEST['suspendDeviceId']) {
		checkRef();
		$query = 'SELECT d.*,u.reseller_id FROM devices d LEFT JOIN users u ON ( d.user_id = u.id ) WHERE d.id = ' . sql::int($suspendId);
		$device = $db->getRow($query);

		if (!isAdmin() && (@$_SESSION['userData']['id'] != $device['reseller_id'])) {
			showError('You can\'t suspend this user!', '0', '1');
		}

		$query = 'UPDATE devices SET active = \'f\' WHERE id = ' . sql::int($suspendId);

		if (!@$db->query($query)) {
			showError('The device can\'t be suspended!', '0', '1');
		}

		addLog('INFO', 'DEVICES', 'Suspended device ID ' . @$suspendId . '');
		updateSerial('devices', @$suspendId);
		reloadHitrow();
		showInfo('Suspended device ID ' . $suspendId);
	}

	if (@$unsuspendId = @$_REQUEST['unsuspendDeviceId']) {
		checkRef();
		$query = 'SELECT d.*,u.reseller_id FROM devices d LEFT JOIN users u ON ( d.user_id = u.id ) WHERE d.id = ' . sql::int($unsuspendId);
		$device = $db->getRow($query);

		if (!isAdmin() && (@$_SESSION['userData']['id'] != $device['reseller_id'])) {
			showError('You can\'t unsuspend this user!', '0', '1');
		}

		$query = 'UPDATE devices SET active = \'t\' WHERE id = ' . sql::int($unsuspendId);

		if (!@$db->query($query)) {
			showError('The device can\'t be unsuspended!', '0', '1');
		}

		addLog('INFO', 'DEVICES', 'Unsuspended device ID ' . @$unsuspendId . '');
		updateSerial('devices', @$unsuspendId);
		reloadHitrow();
		showInfo('Unsuspended device ID ' . $unsuspendId);
	}
}

function updateDevice()
{
	if (!checkUserType('ADMIN') && !checkUserType('RESELLER')) {
		header('Location: ' . siteDomain . 'profile');
	}

	global $db;
	global $dump;
	global $vars;
	$query = 'SELECT * FROM users';

	if (!isAdmin()) {
		$query .= ' WHERE reseller_id = ' . sql::int(@$_SESSION['userData']['id']) . '';
	}

	$vars['users'] = $db->getAssoc($query);
	$query = 'SELECT s.id,s.subscription_name FROM subscriptions s LEFT JOIN subscription_resellers sr ON ( s.id = sr.subscription_id )';

	if (!isAdmin()) {
		$query .= ' WHERE sr.reseller_id = ' . sql::int(@$_SESSION['userData']['id']);
	}

	$vars['subscriptions'] = $db->getAssoc($query);
	$query = 'SELECT * FROM device_types';
	$vars['device_types'] = $db->getAssoc($query);

	if (@$_SERVER['REQUEST_METHOD'] == 'POST') {
		checkRef();

		if (@$dId = @$_REQUEST['deviceId']) {
			$query = 'UPDATE devices SET ' . "\n\t\t\t\t\t" . 'user_id = ' . sql::varchar(@$_REQUEST['user_id']) . ',' . "\n\t\t\t\t\t" . 'device_type_id = ' . sql::varchar(@$_REQUEST['device_type_id']) . ',' . "\n\t\t\t\t\t" . 'subscription_id = ' . sql::varchar(@$_REQUEST['subscription_id']) . ',' . "\n\t\t\t\t\t" . 'username = ' . sql::varchar(@$_REQUEST['username']) . ',' . "\n\t\t\t\t\t" . 'password = ' . sql::varchar(@$_REQUEST['password']) . ',' . "\n\t\t\t\t\t" . 'device_sn = ' . sql::varchar(@$_REQUEST['device_sn']) . ',' . "\n\t\t\t\t\t" . 'device_mac = ' . sql::varchar(@$_REQUEST['device_mac']) . ',' . "\n\t\t\t\t\t" . 'device_ip = ' . sql::varchar(@$_REQUEST['device_ip']) . ',' . "\n\t\t\t\t\t" . 'comment = ' . sql::varchar(@$_REQUEST['comment']) . ',' . "\n\t\t\t\t\t" . 'mag_player = ' . sql::varchar(@$_REQUEST['mag_player']) . ',' . "\n\t\t\t\t\t" . 'stream_out = ' . sql::varchar(@$_REQUEST['stream_out']) . ',' . "\n\t\t\t\t\t" . 'device_max_channs = ' . sql::varchar(@$_REQUEST['device_max_channs']) . ',' . "\n\t\t\t\t\t" . 'is_vip = ' . sql::varchar(@$_REQUEST['is_vip'] == 't' ? 't' : 'f') . ',' . "\n\t\t\t\t\t" . 'use_source_stream = ' . sql::varchar(@$_REQUEST['use_source_stream'] == 't' ? 't' : 'f') . ',' . "\n\t\t\t\t\t" . 'multicast_output = ' . sql::varchar(@$_REQUEST['multicast_output'] == 't' ? 't' : 'f') . ',' . "\n\t\t\t\t\t" . 'active = ' . sql::varchar(@$_REQUEST['active'] == 't' ? 't' : 'f') . "\n\t\t\t\t" . 'WHERE id = ' . sql::int($dId);

			if (!@$db->query($query)) {
				header('HTTP/1.0 500 Error');
				exit('Can\'t update device, please check your values!');
			}
			else {
				addLog('INFO', 'DEVICES', 'Modified device ID ' . @$dId . '');
				updateSerial('devices', $dId);
				reloadHitrow();
			}
		}
		else {
			$nextId = $db->nextId('devices');
			$query = 'INSERT INTO devices ( ' . "\n\t\t\t\t" . 'id,' . "\n\t\t\t\t" . 'user_id,' . "\n\t\t\t\t" . 'device_type_id,' . "\n\t\t\t\t" . 'subscription_id,' . "\n\t\t\t\t" . 'username,' . "\n\t\t\t\t" . 'password,' . "\n\t\t\t\t" . 'device_sn,' . "\n\t\t\t\t" . 'device_mac,' . "\n\t\t\t\t" . 'device_ip,' . "\n\t\t\t\t" . 'comment,' . "\n\t\t\t\t" . 'mag_player,' . "\n\t\t\t\t" . 'stream_out,' . "\n\t\t\t\t" . 'device_max_channs,' . "\n\t\t\t\t" . 'is_vip,' . "\n\t\t\t\t" . 'use_source_stream,' . "\n\t\t\t\t" . 'multicast_output,' . "\n\t\t\t\t" . 'active' . "\n\t\t\t" . ') VALUES ( ' . "\n\t\t\t\t" . sql::int($nextId) . ',' . "\n\t\t\t\t" . sql::varchar(@$_REQUEST['user_id']) . ',' . "\n\t\t\t\t" . sql::varchar(@$_REQUEST['device_type_id']) . ',' . "\n\t\t\t\t" . sql::varchar(@$_REQUEST['subscription_id']) . ',' . "\n\t\t\t\t" . sql::varchar(@$_REQUEST['username']) . ',' . "\n\t\t\t\t" . sql::varchar(@$_REQUEST['password']) . ',' . "\n\t\t\t\t" . sql::varchar(@$_REQUEST['device_sn']) . ',' . "\n\t\t\t\t" . sql::varchar(@$_REQUEST['device_mac']) . ',' . "\n\t\t\t\t" . sql::varchar(@$_REQUEST['device_ip']) . ',' . "\n\t\t\t\t" . sql::varchar(@$_REQUEST['comment']) . ',' . "\n\t\t\t\t" . sql::varchar(@$_REQUEST['mag_player']) . ',' . "\n\t\t\t\t" . sql::varchar(@$_REQUEST['stream_out']) . ',' . "\n\t\t\t\t" . sql::varchar(@$_REQUEST['device_max_channs']) . ',' . "\n\t\t\t\t" . sql::varchar(@$_REQUEST['is_vip'] == 't' ? 't' : 'f') . ',' . "\n\t\t\t\t" . sql::varchar(@$_REQUEST['use_source_stream'] == 't' ? 't' : 'f') . ',' . "\n\t\t\t\t" . sql::varchar(@$_REQUEST['multicast_output'] == 't' ? 't' : 'f') . ',' . "\n\t\t\t\t" . sql::varchar(@$_REQUEST['active'] == 't' ? 't' : 'f') . "\n\t\t\t" . ')';

			if (@$db->query($query)) {
				addLog('INFO', 'DEVICES', 'Added device ID ' . @$nextId . '');
				reloadHitrow();
			}
			else {
				header('HTTP/1.0 500 Error');
				exit('Can\'t add new customer, please check your values!');
			}
		}

		exit(json_encode(array('code' => '200', 'text' => 'Device ' . (@$_REQUEST['deviceId'] ? 'Updated' : 'Added') . ' !'), JSON_PRETTY_PRINT));
	}

	if (@$dId = @$_REQUEST['deviceId']) {
		$query = 'SELECT d.*,dt.device_mac_auth,dt.device_sn_auth,dt.device_ip_auth,dt.device_up_auth,u.reseller_id FROM devices d LEFT JOIN device_types dt ON ( d.device_type_id = dt.id ) LEFT JOIN users u ON ( d.user_id = u.id ) WHERE d.id = ' . sql::int(@$dId);
		$vars['device'] = $db->getRow($query);

		if (!isAdmin() && isReseller() && (@$vars['device']['user_id'] != @$_SESSION['userData']['id']) && (@$vars['device']['reseller_id'] != @$_SESSION['userData']['id'])) {
			addLog('INFO', 'RESELLER', 'IS RESELLER= ' . isReseller());
			addLog('INFO', 'ADMIN', 'IS ADMIN= ' . isAdmin());
			header('Location: ' . siteDomain . 'profile');
		}
	}
}

function listDevices()
{
	if (!checkUserType('ADMIN') && !checkUserType('RESELLER')) {
		header('Location: ' . siteDomain . 'profile');
	}

	checkRef();
	global $db;
	global $dump;
	global $vars;
	$query = 'SELECT * FROM servers WHERE active IS TRUE AND status IS TRUE LIMIT 1';
	$server = $db->getRow($query);
	$query = 'SELECT d.*,dt.device_type,dt.device_mac_auth,dt.device_sn_auth,dt.device_ip_auth,dt.device_up_auth,dt.device_key_auth,u.name,s.subscription_name FROM devices d LEFT JOIN device_types dt ON ( d.device_type_id = dt.id ) LEFT JOIN users u ON ( d.user_id = u.id ) LEFT JOIN subscriptions s ON ( s.id = d.subscription_id ) WHERE 1 = 1 ';

	if (!isAdmin()) {
		$query .= ' AND ( u.reseller_id = ' . sql::int(@$_SESSION['userData']['id']) . ' )';
	}

	$iTotalRecords = $db->numRows($query);
	@$query .= ' ORDER BY d.id ASC ';

	if (@$_REQUEST['iDisplayLength']) {
		$query .= ' LIMIT ' . sql::int(@$_REQUEST['iDisplayLength']);
	}

	if (@$_REQUEST['iDisplayStart']) {
		$query .= ' OFFSET ' . sql::int(@$_REQUEST['iDisplayStart']);
	}

	foreach ($db->getAssoc($query) as $dId => $device) {
		@$actions = '';
	
	$actions .= "\n\t\t\t" . '<select style="width: 60px;" name="playlist" class="btn btn-xs btn-warning"  onChange="javascript:window.prompt(\'Copy URL below and paste it into new browser tab in order to download or directly into you device \',this.value)">' . "\n\t\t\t\t" . '<option value=""></option>' . "\n\t\t\t\t" . '<option value="http://' . @$server['server_host'] . ':' . @$server['server_hitrow_port'] . '/playlist?type=m3u' . getDeviceAuth(@$dId) . '">M3U</option>' . "\n\t\t\t\t" . '<option value="http://' . @$server['server_host'] . ':' . @$server['server_hitrow_port'] . '/playlist?type=m3u&ts=1' . getDeviceAuth(@$dId) . '">M3U-TS</option>' . "\n\t\t\t\t" . '</select>' . "\n\t\t";
		
			if (isAdmin() || (isReseller() && (@$vars['settings']['reseller_delete'] == 't'))) {
			@$actions .= '<a id="' . $dId . '" href="' . siteDomain . 'manageDevices?' . (@$device['active'] == 't' ? '' : 'un') . 'suspendDeviceId=' . $dId . '" class="btn btn-xs btn-' . (@$device['active'] == 't' ? 'danger' : 'success') . '">' . (@$device['active'] == 't' ? '&nbsp;&nbsp;Suspend&nbsp;&nbsp;' : 'Unsuspend') . ' </i></a> <a id="' . $dId . '" href="' . siteDomain . 'updateDevice?deviceId=' . $dId . '" class="btn btn-xs btn-info">Edit </i></a>';
			if ((isReseller() && (@$vars['settings']['reseller_delete'] == 't')) || isAdmin()) {
				@$actions .= '<a id="' . $dId . '" href="javascript:if(confirm(\'Are you sure you want to delete device ID' . $dId . '?\')) { window.location=\'' . siteDomain . 'manageDevices?deleteDeviceId=' . $dId . '\'}" class="btn btn-xs btn-danger">Delete <i class="fa fa-delete"></i></a>';
			}
		}
		else {
			@$actions .= '<a id="' . $dId . '" href="' . siteDomain . 'manageDevices?' . (@$device['active'] == 't' ? '' : 'un') . 'suspendDeviceId=' . $dId . '" class="btn btn-xs btn-' . (@$device['active'] == 't' ? 'danger' : 'success') . '">' . (@$device['active'] == 't' ? '&nbsp;&nbsp;Suspend&nbsp;&nbsp;' : 'Unsuspend') . ' </i></a> <a id="' . $dId . '" href="' . siteDomain . 'updateDevice?deviceId=' . $dId . '" class="btn btn-xs btn-info">Edit </i></a>';
		}

		if ($device['is_vip'] == 'f') {
			$query = 'SELECT i.* FROM invoices i LEFT JOIN users u ON ( i.user_id = u.id ) WHERE u.id = ' . sql::int($device['user_id']) . ' AND ' . "\n\t\t\t\t\t" . '-- NOW() >= i.start_date AND NOW() <= i.end_date AND' . "\n\t\t\t\t" . ' i.is_paid IS TRUE order by i.end_date desc limit 1';

			if (@$invoice = $db->getRow($query)) {
				$device['end_date'] = date('Y-m-d', strtotime(@$invoice['end_date']));
				$expire = new DateTime(@$device['end_date']);
				$now = new DateTime(date('Y-m-d'));

				if ($now < $expire) {
					$class = 'success';
				}
				else if ($now == $expire) {
					$class = 'warning';
				}
				else {
					$class = 'danger';
				}
			}
			else {
				$device['end_date'] = 'Unknown';
				$class = 'default';
			}
		}
		else {
			$device['end_date'] = 'Never';
			$class = 'teal';
		}

		$records['aaData'][] = array($dId, '<a href="' . siteDomain . 'manageCustomers?customerId=' . $device['user_id'] . '">' . $device['name'] . '</a>', '<a href="' . siteDomain . 'manageSubscriptions?subscriptionId=' . $device['subscription_id'] . '">' . $device['subscription_name'] . '</a>', '<a href="' . siteDomain . 'manageDeviceTypes?deviceTypeId=' . $device['device_type_id'] . '">' . $device['device_type'] . '</a>', getDeviceName($dId), $device['comment'], '<span class="label label-' . $class . '">' . $device['end_date'] . '</span>', @$actions, $device['active'] == 't' ? 'YES' : 'NO');
	}

	if (!@$records['aaData']) {
		$records['aaData'] = array();
	}

	$records['sEcho'] = sql::int(@$_REQUEST['sEcho']);
	$records['iTotalRecords'] = $iTotalRecords;
	$records['iTotalDisplayRecords'] = count($records['aaData']);
	header('Content-type: text/plain');
	echo json_encode($records, JSON_PRETTY_PRINT);
	exit();
}

function getDeviceName($deviceId)
{
	if (!@$deviceId) {
		return false;
	}

	global $db;
	global $vars;
	$query = 'SELECT d.*,dt.device_mac_auth,dt.device_sn_auth,dt.device_up_auth,dt.device_ip_auth,dt.device_key_auth FROM devices d LEFT JOIN device_types dt ON ( d.device_type_id = dt.id ) WHERE d.id = ' . sql::int($deviceId);
	$dev = $db->getRow($query);

	if (@$dev['device_key_auth'] == 't') {
		@$identy .= '<span class="labelxl labelxl-danger">HASH KEY AUTH</span> ';
	}

	if (@$dev['device_mac_auth'] == 't') {
		@$identy .= '<span class="labelxl labelxl-primary">MAC: ' . @$dev['device_mac'] . '</span>';
	}

	if (@$dev['device_sn_auth'] == 't') {
		@$identy .= '<span class="labelxl labelxl-teal">SN: ' . @$dev['device_sn'] . '</span>';
	}

	if (@$dev['device_ip_auth'] == 't') {
		@$identy .= '<span class="labelxl labelxl-inverse">IP: ' . @$dev['device_ip'] . '</span>';
	}

	if (@$dev['device_up_auth'] == 't') {
		@$identy .= '<span class="labelxl labelxl-success">UP: ' . @$dev['username'] . ' / ' . @$dev['password'] . '</span>';
	}

	return @$identy;
}

function getDeviceAuth($deviceId)
{
	if (!@$deviceId) {
		return false;
	}

	global $db;
	global $vars;
	$query = 'SELECT d.*,dt.device_mac_auth,dt.device_sn_auth,dt.device_up_auth,dt.device_ip_auth,dt.device_key_auth FROM devices d LEFT JOIN device_types dt ON ( d.device_type_id = dt.id ) WHERE d.id = ' . sql::int($deviceId);
	$dev = $db->getRow($query);
	$rand = rand('10000000', '99999999');

	if (@$dev['device_key_auth'] == 't') {
		@$identy .= '&hashNum=' . @$rand . '&hashKey=' . md5('fulliptv' . @$rand . @$_SERVER['REMOTE_ADDR']);
	}

	if (@$dev['device_mac_auth'] == 't') {
		@$identy .= '&deviceMac=' . @$dev['device_mac'] . '';
	}

	if (@$dev['device_sn_auth'] == 't') {
		@$identy .= '&deviceSn=' . @$dev['device_sn'] . '';
	}

	if (@$dev['device_up_auth'] == 't') {
		@$identy .= '&deviceUser=' . @$dev['username'] . '&devicePass=' . @$dev['password'] . '';
	}

	return @$identy;
}

function manageDeviceTypes()
{
	if (!checkUserType('ADMIN')) {
		header('Location: ' . siteDomain . 'profile');
	}

	global $db;
	global $vars;

	if (@$deleteId = @$_REQUEST['deleteDeviceTypeId']) {
		checkRef();
		$query = 'SELECT * FROM device_types WHERE id = ' . sql::int($deleteId);
		$user = $db->getRow($query);

		if (!isAdmin()) {
			showError('You can\'t delete this device type!', '0', '1');
		}

		$query = 'DELETE FROM device_types WHERE id = ' . sql::int($deleteId);

		if (!@$db->query($query)) {
			showError('The device type can\'t be deleted!', '0', '1');
		}

		addLog('INFO', 'DEVICE-TYPES', 'Deleted device type ID ' . @$deleteId . '');
		showInfo('Deleted device type ID ' . $deleteId);
	}

	if (@$_REQUEST['deviceTypeId']) {
		$query = 'SELECT * FROM device_types WHERE id = ' . sql::int(@$_REQUEST['deviceTypeId']);

		if (@$db->numRows($query) == '0') {
			showError('There is no such device type!');
		}
		else {
			$vars['device_type'] = $db->getRow($query);
			$query = 'SELECT d.*,u.name,s.subscription_name as subscription,dt.device_type,dt.device_mac_auth,dt.device_sn_auth,dt.device_up_auth,dt.device_ip_auth,dt.device_key_auth FROM devices d LEFT JOIN subscriptions s ON ( d.subscription_id = s.id ) LEFT JOIN device_types dt ON ( dt.id = d.device_type_id ) LEFT JOIN users u ON ( d.user_id = u.id ) WHERE d.device_type_id = ' . sql::int(@$_REQUEST['deviceTypeId']);
			$vars['device_type']['devices'] = $db->getAssoc($query);
		}
	}
}

function updateDeviceType()
{
	if (!checkUserType('ADMIN')) {
		header('Location: ' . siteDomain . 'profile');
	}

	global $db;
	global $dump;
	global $vars;

	if (@$_SERVER['REQUEST_METHOD'] == 'POST') {
		checkRef();

		if (@$dtId = @$_REQUEST['deviceTypeId']) {
			$query = 'UPDATE device_types SET ' . "\n\t\t\t\t\t" . 'device_type = ' . sql::varchar(@$_REQUEST['device_type']) . ',' . "\n\t\t\t\t\t" . 'device_mac_auth = ' . sql::varchar(@$_REQUEST['device_mac_auth'] == 't' ? 't' : 'f') . ',' . "\n\t\t\t\t\t" . 'device_sn_auth = ' . sql::varchar(@$_REQUEST['device_sn_auth'] == 't' ? 't' : 'f') . ',' . "\n\t\t\t\t\t" . 'device_ip_auth = ' . sql::varchar(@$_REQUEST['device_ip_auth'] == 't' ? 't' : 'f') . ',' . "\n\t\t\t\t\t" . 'device_up_auth = ' . sql::varchar(@$_REQUEST['device_up_auth'] == 't' ? 't' : 'f') . ',' . "\n\t\t\t\t\t" . 'device_key_auth = ' . sql::varchar(@$_REQUEST['device_key_auth'] == 't' ? 't' : 'f') . "\n\t\t\t\t" . 'WHERE id = ' . sql::int($dtId);

			if (!@$db->query($query)) {
				header('HTTP/1.0 500 Error');
				exit('Can\'t update customer, please check your values!');
			}
			else {
				addLog('INFO', 'DEVICE-TYPES', 'Modified device type ID ' . @$dtId . '');
				updateSerial('devices');
				reloadHitrow();
			}
		}
		else {
			$nextId = $db->nextId('device_types');
			$query = 'INSERT INTO device_types ( ' . "\n\t\t\t\t" . 'id,' . "\n\t\t\t\t" . 'device_type,' . "\n\t\t\t\t" . 'device_mac_auth,' . "\n\t\t\t\t" . 'device_sn_auth,' . "\n\t\t\t\t" . 'device_ip_auth,' . "\n\t\t\t\t" . 'device_up_auth,' . "\n\t\t\t\t" . 'device_key_auth' . "\n\t\t\t" . ') VALUES ( ' . "\n\t\t\t\t" . sql::int(@$nextId) . ',' . "\n\t\t\t\t" . sql::varchar(@$_REQUEST['device_type']) . ',' . "\n\t\t\t\t" . sql::varchar(@$_REQUEST['device_mac_auth'] == 't' ? 't' : 'f') . ',' . "\n\t\t\t\t" . sql::varchar(@$_REQUEST['device_sn_auth'] == 't' ? 't' : 'f') . ',' . "\n\t\t\t\t" . sql::varchar(@$_REQUEST['device_ip_auth'] == 't' ? 't' : 'f') . ',' . "\n\t\t\t\t" . sql::varchar(@$_REQUEST['device_up_auth'] == 't' ? 't' : 'f') . ',' . "\n\t\t\t\t" . sql::varchar(@$_REQUEST['device_key_auth'] == 't' ? 't' : 'f') . "\n\t\t\t" . ')';

			if (@$db->query($query)) {
				addLog('INFO', 'DEVICE-TYPES', 'Added device type ID ' . @$nextId . '');
				reloadHitrow();
			}
			else {
				header('HTTP/1.0 500 Error');
				exit('Can\'t add new customer, please check your values!');
			}
		}

		exit(json_encode(array('code' => '200', 'text' => 'Device Type ' . (@$_REQUEST['deviceTypeId'] ? 'Updated' : 'Added') . ' !'), JSON_PRETTY_PRINT));
	}

	if (@$dtId = @$_REQUEST['deviceTypeId']) {
		$query = 'SELECT * FROM device_types WHERE id = ' . sql::int(@$dtId);
		$vars['device_type'] = $db->getRow($query);
	}
}

function listDeviceTypes()
{
	checkRef();

	if (!checkUserType('ADMIN')) {
		header('Location: ' . siteDomain . 'profile');
	}

	global $db;
	global $dump;
	global $vars;
	$query = 'SELECT * from device_types';
	$iTotalRecords = $db->numRows($query);
	@$query .= ' ORDER BY device_type ASC ';

	if (@$_REQUEST['iDisplayLength']) {
		$query .= ' LIMIT ' . sql::int(@$_REQUEST['iDisplayLength']);
	}

	if (@$_REQUEST['iDisplayStart']) {
		$query .= ' OFFSET ' . sql::int(@$_REQUEST['iDisplayStart']);
	}

	foreach ($db->getAssoc($query) as $dtId => $dtype) {
		$query = 'SELECT * FROM devices WHERE device_type_id = ' . sql::int($dtId);
		$devices = $db->numRows($query);
		$records['aaData'][] = array($dtId, $dtype['device_type'], $dtype['device_mac_auth'] == 't' ? '<span class="labelxl labelxl-success">YES</span>' : '<span class="labelxl labelxl-danger">NO</span>', $dtype['device_sn_auth'] == 't' ? '<span class="labelxl labelxl-success">YES</span>' : '<span class="labelxl labelxl-danger">NO</span>', $dtype['device_ip_auth'] == 't' ? '<span class="labelxl labelxl-success">YES</span>' : '<span class="labelxl labelxl-danger">NO</span>', $dtype['device_up_auth'] == 't' ? '<span class="labelxl labelxl-success">YES</span>' : '<span class="labelxl labelxl-danger">NO</span>', $dtype['device_key_auth'] == 't' ? '<span class="labelxl labelxl-success">YES</span>' : '<span class="labelxl labelxl-danger">NO</span>', $devices, '<a id="' . $dtId . '" href="' . siteDomain . 'manageDeviceTypes?deviceTypeId=' . $dtId . '" class="btn btn-xs btn-primary">View</a> <a id="' . $dtId . '" href="' . siteDomain . 'updateDeviceType?deviceTypeId=' . $dtId . '" class="btn btn-xs btn-info">Edit </i></a> <a id="' . $dtId . '" href="javascript:if(confirm(\'Are you sure you want to delete device type ID' . $dtId . '?\')) { window.location=\'' . siteDomain . 'manageDeviceTypes?deleteDeviceTypeId=' . $dtId . '\'}" class="btn btn-xs btn-danger">Delete <i class="fa fa-delete"></i></a>', $user['active'] == 't' ? 'YES' : 'NO');
	}

	if (!@$records['aaData']) {
		$records['aaData'] = array();
	}

	$records['sEcho'] = sql::int(@$_REQUEST['sEcho']);
	$records['iTotalRecords'] = $iTotalRecords;
	$records['iTotalDisplayRecords'] = count($records['aaData']);
	header('Content-type: text/plain');
	echo json_encode($records, JSON_PRETTY_PRINT);
	exit();
}


?> 
